Page MenuHomePhabricator

ServiceWiringFiles not defined for m.wikipedia.org when trying to load an extension
Closed, ResolvedPublic

Description

Uncaught exception 'ConfigException' with message 'GlobalVarConfig::get: undefined option: 'ServiceWiringFiles'' in /srv/mediawiki/php-1.29.0-w
mf.7/includes/config/GlobalVarConfig.php:53

Fatal error: Uncaught exception 'ConfigException' with message 'GlobalVarConfig::get: undefined option: 'ServiceWiringFiles'' in /srv/mediawiki/php-1.29.0-wmf.7/includes/config/GlobalVarConfig.php:53
Stack trace:
#0 /srv/mediawiki/php-1.29.0-wmf.7/includes/MediaWikiServices.php(245): GlobalVarConfig->get()
#1 /srv/mediawiki/php-1.29.0-wmf.7/includes/MediaWikiServices.php(104): MediaWiki\MediaWikiServices::newInstance()
#2 /srv/mediawiki/php-1.29.0-wmf.7/includes/registration/ExtensionRegistry.php(97): MediaWiki\MediaWikiServices::getInstance()
#3 /srv/mediawiki/php-1.29.0-wmf.7/includes/registration/ExtensionRegistry.php(87): ExtensionRegistry->__construct()
#4 /srv/mediawiki/php-1.29.0-wmf.7/includes/GlobalFunctions.php(116): ExtensionRegistry::getInstance()
#5 /srv/mediawiki/wmf-config/CommonSettings.php(468): wfLoadExtension()
#6 /srv/mediawiki/php-1.29.0-wmf.7/LocalSettings.php(3): include()
#7 /srv/mediawiki/php-1.29.0-wmf.7/includes/WebStart.php(124): include()
#8 /srv/mediawiki/multiversion/MWVersion.php(21): include()
#9 /srv/mediawiki/w/mobilelanding.php(5): getMediaWiki()
#10 {main}

This causes m.wikipedia.org to be down, but not en.m.wikipedia, fr.m.wikipedia,org, etc.

According logstash, error occured just after these two deployments:

23:34 reedy@tin: Synchronized wmf-config/extension-list: More to extension.json (duration: 00m 40s)
23:29 demon@tin: Synchronized multiversion: Final batch of MWVersion cleanup (in song form) (duration: 00m 56s)

The error occurs (see #5 /srv/mediawiki/wmf-config/CommonSettings.php(468): wfLoadExtension()) when trying to load the PagedTiffHandler extension:

CommonSettings.php:467-469
if ( $wmgUsePagedTiffHandler ) {
    wfLoadExtension( 'PagedTiffHandler' );
}

As this is the first extension to load, best to focus on:

/srv/mediawiki/php-1.29.0-wmf.7/includes/registration/ExtensionRegistry.php(87): ExtensionRegistry->__construct()

Event Timeline

Restricted Application added subscribers: Jay8g, TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 1:25 AM
Dereckson renamed this task from ServiceWiringFiles not defined for m.wikipedia.org to ServiceWiringFiles not defined for m.wikipedia.org when trying to load PagedTiffHandler extension.Jan 10 2017, 1:35 AM
Dereckson lowered the priority of this task from Unbreak Now! to Normal.
Dereckson updated the task description. (Show Details)
demon added a comment.Jan 10 2017, 1:37 AM

What makes you say that? I see wfLoadExtension() in there which is more suspect imho.... All we did in 309363 is move some code, it's functionally identical.

Dereckson renamed this task from ServiceWiringFiles not defined for m.wikipedia.org when trying to load PagedTiffHandler extension to ServiceWiringFiles not defined for m.wikipedia.org when trying to load an extension.Jan 10 2017, 2:04 AM
Dereckson updated the task description. (Show Details)
Reedy added a comment.Jan 10 2017, 3:45 AM

What makes you say that? I see wfLoadExtension() in there which is more suspect imho.... All we did in 309363 is move some code, it's functionally identical.

Reverting your patch fixed it though...

demon added a comment.Jan 10 2017, 6:29 PM

What makes you say that? I see wfLoadExtension() in there which is more suspect imho.... All we did in 309363 is move some code, it's functionally identical.

Reverting your patch fixed it though...

Per our in-person discussion: pretty sure this just exposed something that was already existing.

I think ExtensionRegistry trying to initialize MediaWikiServices that early on is a bad idea. I can work on a patch for that.

Change 331518 had a related patch set uploaded (by Legoktm):
registration: Don't initialize MWServices super early

https://gerrit.wikimedia.org/r/331518

Change 331518 merged by jenkins-bot:
registration: Don't initialize MWServices super early

https://gerrit.wikimedia.org/r/331518

Change 331522 had a related patch set uploaded (by Reedy):
registration: Don't initialize MWServices super early

https://gerrit.wikimedia.org/r/331522

Change 331522 merged by Reedy:
registration: Don't initialize MWServices super early

https://gerrit.wikimedia.org/r/331522

MaxSem closed this task as Resolved.Jan 11 2017, 11:04 PM
MaxSem assigned this task to Legoktm.

Change 452838 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@REL1_27] registration: Don't initialize MWServices super early

https://gerrit.wikimedia.org/r/452838

Change 452838 merged by jenkins-bot:
[mediawiki/core@REL1_27] registration: Don't initialize MWServices super early

https://gerrit.wikimedia.org/r/452838

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM